# Versions in WordPress

With each major release of WordPress a new version of Gutenberg is included. This has caused confusion over time as people have tried to figure out how to best debug problems and report bugs appropriately. To make this easier we have made this document to serve as a canonical list of the Gutenberg versions integrated into each major WordPress release. Of note, during the beta period of a WordPress release, additional bug fixes from later Gutenberg releases than those noted are added into the WordPress release where it is needed. If you want details about what's in each Gutenberg release outside of the high level items shared as part of major WordPress releases, please review the [release notes shared on Make Core](https://make.wordpress.org/core/tag/gutenberg-new/).

If anything looks incorrect here, please bring it up in #core-editor in [WordPress.org slack](https://make.wordpress.org/chat/).

| Gutenberg Versions | WordPress Version |
| ------------------ | ----------------- |
| 16.8-17.7          | 6.5               |
| 16.2-16.7          | 6.4.3             |
| 16.2-16.7          | 6.4.2             |
| 16.2-16.7          | 6.4.1             |
| 16.2-16.7          | 6.4               |
| 15.2-16.1          | 6.3.2             |
| 15.2-16.1          | 6.3.1             |
| 15.2-16.1          | 6.3               |
| 14.2-15.1          | 6.2.3             |
| 14.2-15.1          | 6.2.2             |
| 14.2-15.1          | 6.2.1             |
| 14.2-15.1          | 6.2               |
| 13.1-14.1          | 6.1.4             |
| 13.1-14.1          | 6.1.3             |
| 13.1-14.1          | 6.1.2             |
| 13.1-14.1          | 6.1.1             |
| 13.1-14.1          | 6.1               |
| 12.0-13.0          | 6.0.6             |
| 12.0-13.0          | 6.0.5             |
| 12.0-13.0          | 6.0.4             |
| 12.0-13.0          | 6.0.3             |
| 12.0-13.0          | 6.0.2             |
| 12.0-13.0          | 6.0.1             |
| 12.0-13.0          | 6.0               |
| 10.8-11.9          | 5.9.8             |
| 10.8-11.9          | 5.9.7             |
| 10.8-11.9          | 5.9.6             |
| 10.8-11.9          | 5.9.5             |
| 10.8-11.9          | 5.9.4             |
| 10.8-11.9          | 5.9.3             |
| 10.8-11.9          | 5.9.2             |
| 10.8-11.9          | 5.9.1             |
| 10.8-11.9          | 5.9               |
| 10.0-10.7          | 5.8.8             |
| 10.0-10.7          | 5.8.7             |
| 10.0-10.7          | 5.8.6             |
| 10.0-10.7          | 5.8.5             |
| 10.0-10.7          | 5.8.4             |
| 10.0-10.7          | 5.8.3             |
| 10.0-10.7          | 5.8.2             |
| 10.0-10.7          | 5.8.1             |
| 10.0-10.7          | 5.8               |
| 9.3-9.9            | 5.7.10            |
| 9.3-9.9            | 5.7.9             |
| 9.3-9.9            | 5.7.8             |
| 9.3-9.9            | 5.7.7             |
| 9.3-9.9            | 5.7.6             |
| 9.3-9.9            | 5.7.5             |
| 9.3-9.9            | 5.7.4             |
| 9.3-9.9            | 5.7.3             |
| 9.3-9.9            | 5.7.2             |
| 9.3-9.9            | 5.7.1             |
| 9.3-9.9            | 5.7               |
| 8.6-9.2            | 5.6.12            |
| 8.6-9.2            | 5.6.11            |
| 8.6-9.2            | 5.6.10            |
| 8.6-9.2            | 5.6.9             |
| 8.6-9.2            | 5.6.8             |
| 8.6-9.2            | 5.6.7             |
| 8.6-9.2            | 5.6.6             |
| 8.6-9.2            | 5.6.5             |
| 8.6-9.2            | 5.6.4             |
| 8.6-9.2            | 5.6.3             |
| 8.6-9.2            | 5.6.2             |
| 8.6-9.2            | 5.6.1             |
| 8.6-9.2            | 5.6               |
| 7.6-8.5            | 5.5.13            |
| 7.6-8.5            | 5.5.12            |
| 7.6-8.5            | 5.5.11            |
| 7.6-8.5            | 5.5.10            |
| 7.6-8.5            | 5.5.9             |
| 7.6-8.5            | 5.5.8             |
| 7.6-8.5            | 5.5.7             |
| 7.6-8.5            | 5.5.6             |
| 7.6-8.5            | 5.5.5             |
| 7.6-8.5            | 5.5.4             |
| 7.6-8.5            | 5.5.3             |
| 7.6-8.5            | 5.5.2             |
| 7.6-8.5            | 5.5.1             |
| 7.6-8.5            | 5.5               |
| 6.6-7.5            | 5.4.14            |
| 6.6-7.5            | 5.4.13            |
| 6.6-7.5            | 5.4.12            |
| 6.6-7.5            | 5.4.11            |
| 6.6-7.5            | 5.4.10            |
| 6.6-7.5            | 5.4.9             |
| 6.6-7.5            | 5.4.8             |
| 6.6-7.5            | 5.4.7             |
| 6.6-7.5            | 5.4.6             |
| 6.6-7.5            | 5.4.5             |
| 6.6-7.5            | 5.4.4             |
| 6.6-7.5            | 5.4.3             |
| 6.6-7.5            | 5.4.2             |
| 6.6-7.5            | 5.4.1             |
| 6.6-7.5            | 5.4               |
| 5.5-6.5            | 5.3.16            |
| 5.5-6.5            | 5.3.15            |
| 5.5-6.5            | 5.3.14            |
| 5.5-6.5            | 5.3.13            |
| 5.5-6.5            | 5.3.12            |
| 5.5-6.5            | 5.3.11            |
| 5.5-6.5            | 5.3.10            |
| 5.5-6.5            | 5.3.9             |
| 5.5-6.5            | 5.3.8             |
| 5.5-6.5            | 5.3.7             |
| 5.5-6.5            | 5.3.6             |
| 5.5-6.5            | 5.3.5             |
| 5.5-6.5            | 5.3.4             |
| 5.5-6.5            | 5.3.3             |
| 5.5-6.5            | 5.3.2             |
| 5.5-6.5            | 5.3.1             |
| 5.5-6.5            | 5.3               |
| 4.9-5.4            | 5.2.19            |
| 4.9-5.4            | 5.2.18            |
| 4.9-5.4            | 5.2.17            |
| 4.9-5.4            | 5.2.16            |
| 4.9-5.4            | 5.2.15            |
| 4.9-5.4            | 5.2.14            |
| 4.9-5.4            | 5.2.13            |
| 4.9-5.4            | 5.2.12            |
| 4.9-5.4            | 5.2.11            |
| 4.9-5.4            | 5.2.10            |
| 4.9-5.4            | 5.2.9             |
| 4.9-5.4            | 5.2.8             |
| 4.9-5.4            | 5.2.7             |
| 4.9-5.4            | 5.2.6             |
| 4.9-5.4            | 5.2.5             |
| 4.9-5.4            | 5.2.4             |
| 4.9-5.4            | 5.2.3             |
| 4.9-5.4            | 5.2.2             |
| 4.9-5.4            | 5.2.1             |
| 4.9-5.4            | 5.2               |
| 4.8                | 5.1.17            |
| 4.8                | 5.1.16            |
| 4.8                | 5.1.15            |
| 4.8                | 5.1.14            |
| 4.8                | 5.1.13            |
| 4.8                | 5.1.12            |
| 4.8                | 5.1.11            |
| 4.8                | 5.1.10            |
| 4.8                | 5.1.9             |
| 4.8                | 5.1.8             |
| 4.8                | 5.1.7             |
| 4.8                | 5.1.6             |
| 4.8                | 5.1.5             |
| 4.8                | 5.1.4             |
| 4.8                | 5.1.3             |
| 4.8                | 5.1.2             |
| 4.8                | 5.1.1             |
| 4.8                | 5.1               |
| 4.7.1              | 5.0.20            |
| 4.7.1              | 5.0.19            |
| 4.7.1              | 5.0.18            |
| 4.7.1              | 5.0.17            |
| 4.7.1              | 5.0.16            |
| 4.7.1              | 5.0.15            |
| 4.7.1              | 5.0.14            |
| 4.7.1              | 5.0.13            |
| 4.7.1              | 5.0.12            |
| 4.7.1              | 5.0.11            |
| 4.7.1              | 5.0.10            |
| 4.7.1              | 5.0.9             |
| 4.7.1              | 5.0.8             |
| 4.7.1              | 5.0.7             |
| 4.7.1              | 5.0.6             |
| 4.7.1              | 5.0.5             |
| 4.7.1              | 5.0.4             |
| 4.7.1              | 5.0.3             |
| 4.7.0              | 5.0.2             |
| 4.6.1              | 5.0.1             |
| 4.6.1              | 5.0               |
