# The Commands Data

Namespace: `core/commands`.

## Selectors

<!-- START TOKEN(Autogenerated selectors|../../../packages/commands/src/store/selectors.js) -->

### getCommandLoaders

Returns the registered command loaders.

_Parameters_

-   _state_ `Object`: State tree.
-   _contextual_ `boolean`: Whether to return only contextual command loaders.

_Returns_

-   `import('./actions').WPCommandLoaderConfig[]`: The list of registered command loaders.

### getCommands

Returns the registered static commands.

_Parameters_

-   _state_ `Object`: State tree.
-   _contextual_ `boolean`: Whether to return only contextual commands.

_Returns_

-   `import('./actions').WPCommandConfig[]`: The list of registered commands.

### getContext

Returns whether the active context.

_Parameters_

-   _state_ `Object`: State tree.

_Returns_

-   `string`: Context.

### isOpen

Returns whether the command palette is open.

_Parameters_

-   _state_ `Object`: State tree.

_Returns_

-   `boolean`: Returns whether the command palette is open.

<!-- END TOKEN(Autogenerated selectors|../../../packages/commands/src/store/selectors.js) -->

## Actions

<!-- START TOKEN(Autogenerated actions|../../../packages/commands/src/store/actions.js) -->

### close

Closes the command palette.

_Returns_

-   `Object`: action.

### open

Opens the command palette.

_Returns_

-   `Object`: action.

### registerCommand

Returns an action object used to register a new command.

_Parameters_

-   _config_ `WPCommandConfig`: Command config.

_Returns_

-   `Object`: action.

### registerCommandLoader

Register command loader.

_Parameters_

-   _config_ `WPCommandLoaderConfig`: Command loader config.

_Returns_

-   `Object`: action.

### unregisterCommand

Returns an action object used to unregister a command.

_Parameters_

-   _name_ `string`: Command name.

_Returns_

-   `Object`: action.

### unregisterCommandLoader

Unregister command loader hook.

_Parameters_

-   _name_ `string`: Command loader name.

_Returns_

-   `Object`: action.

<!-- END TOKEN(Autogenerated actions|../../../packages/commands/src/store/actions.js) -->
